package net.moonleay.etaorion.client.autotext

import net.minecraft.client.MinecraftClient
import net.moonleay.etaorion.config.AutoTextConfig

object AutoTextManager {
    val autoTextObjects: MutableList<AutoText> = mutableListOf()

    fun registerNewAutoTxtObject(autoText: AutoText): Boolean {
        if(autoTextObjects.size >= 10){
            return false
        }
        autoTextObjects.add(autoText)
        return true
    }

    fun unregisterAutoTextObject(index: Int){
        AutoTextConfig.delete(index)
        KeyBindingManager.cancelKeyBinding(autoTextObjects[index].eoKeyBinding)
        autoTextObjects.removeAt(index)
    }

    fun unregisterAutoTextObject(autoText: AutoText){
        KeyBindingManager.cancelKeyBinding(autoText.eoKeyBinding)
        autoTextObjects.remove(autoText)
    }

    fun onClientTick(client: MinecraftClient){
        for(o in autoTextObjects){
            while(o.eoKeyBinding.keyBinding.wasPressed()){
                o.sendMessage(client, true)
            }
        }
    }
}
