package net.moonleay.etaorion.client.modules.component

import net.minecraft.client.font.TextRenderer
import net.minecraft.client.util.math.MatrixStack

open class MovableModule(
    name: String,
    category: Category
) : Module(
    name,
    category
) {
    var position = Position.OFF

    open fun onRender(matrices: MatrixStack, tr: TextRenderer) {

    }

    open fun onLoadGfx(enabled: Boolean, position: Position) {
        this.position = position
        super.onLoad(enabled)
    }

    open fun updatePosition(newPosition: Position) {
        if (this.position == Position.OFF && newPosition != Position.OFF)
            super.updateEnabled(true)
        this.position = newPosition
        if (newPosition == Position.OFF)
            super.updateEnabled(false)

    }

    open fun getText4Render(): String {
        return "Not set"
    }
}
