package net.moonleay.etaorion.client.modules.hud

import net.minecraft.client.MinecraftClient
import net.minecraft.entity.Entity
import net.minecraft.util.math.Direction
import net.moonleay.etaorion.client.modules.component.Category
import net.moonleay.etaorion.client.modules.component.MovableModule

class Direction: MovableModule("Direction", Category.HUD){
    override fun getText4Render(): String {
        val entity: Entity = MinecraftClient.getInstance().getCameraEntity()!!
        val direction = entity.horizontalFacing
        val string2 = when (direction) {
            Direction.NORTH -> "north (-z)"
            Direction.SOUTH -> "south (+z)"
            Direction.WEST -> "west (-x)"
            Direction.EAST -> "east (+x)"
            else -> "Invalid"
        }
        return string2
    }

    private fun Float.format(digits: Int) = "%.${digits}f".format(this)

}
