package net.moonleay.etaorion.client.modules.hud

import net.minecraft.client.MinecraftClient
import net.moonleay.etaorion.client.modules.component.Category
import net.moonleay.etaorion.client.modules.component.MovableModule

class XYZ : MovableModule("XYZ Display", Category.HUD) {

    override fun getText4Render(): String {
        val playerEntity = MinecraftClient.getInstance().player!!
        return "${playerEntity.x.format(2)}x ${playerEntity.y.format(2)}y ${playerEntity.z.format(2)}z"
    }

    private fun Double.format(digits: Int) = "%.${digits}f".format(this)
}
