package net.moonleay.etaorion.mixin;

import net.minecraft.client.gui.screen.Screen;
import net.minecraft.client.gui.screen.option.OptionsScreen;
import net.minecraft.client.gui.widget.ButtonWidget;
import net.minecraft.text.Text;
import net.moonleay.etaorion.client.screen.OptionScreen;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;

@Mixin(OptionsScreen.class)
public class AddEtaOrionConfigButton extends Screen {


    protected AddEtaOrionConfigButton(Text title) {
        super(title);
    }

    @Inject(at = @At("HEAD"), method = "init")
    private void addButton(CallbackInfo ci) {
        this.addDrawableChild(ButtonWidget.builder(Text.of("EtaOrion Settings"), button -> this.client.setScreen(new OptionScreen(this))).dimensions(4, 4, 200, 20).build());
    }
}

