package net.moonleay.etaorion.mixin;

import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import net.fabricmc.fabric.impl.client.keybinding.KeyBindingRegistryImpl;
import net.minecraft.client.option.GameOptions;
import net.minecraft.client.option.KeyBinding;
import net.moonleay.etaorion.util.KeyBindingManagement;
import org.spongepowered.asm.mixin.Final;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Mutable;
import org.spongepowered.asm.mixin.Shadow;

@Environment(EnvType.CLIENT)
@Mixin(GameOptions.class)
public class GameOptionsMixin implements KeyBindingManagement {
    @Mutable
    @Shadow @Final public KeyBinding[] allKeys;

    public void refreshKeyBindings() {
        this.allKeys = KeyBindingRegistryImpl.process(this.allKeys);
    }
}
