package net.moonleay.etaorion.client.autotext

import net.fabricmc.fabric.impl.client.keybinding.KeyBindingRegistryImpl
import net.minecraft.client.MinecraftClient
import net.minecraft.client.option.KeyBinding
import net.minecraft.client.util.InputUtil
import net.minecraft.text.Text
import net.moonleay.etaorion.mixin.KeyBindingRegistryImplAccessor
import net.moonleay.etaorion.util.KeyBindingManagement
import org.lwjgl.glfw.GLFW

class AutoText(val textToSend: String, val eoKeyBinding: EOKeyBinding) {
    //Text.translatable("etaorion.key_binding_1", textToSend)

    fun sendMessage(client: MinecraftClient, addToHistory: Boolean){
        if (addToHistory) {
            client.inGameHud.chatHud.addToMessageHistory(textToSend)
        }
        if (textToSend.startsWith("/")) {
            client.player?.networkHandler?.sendChatCommand(textToSend.substring(1))
        } else {
            client.player?.networkHandler?.sendChatMessage(textToSend)
        }
    }

}
