package net.moonleay.etaorion.client.modules.component.system

import net.moonleay.etaorion.client.modules.component.Category
import net.moonleay.etaorion.client.modules.component.Module
import net.moonleay.etaorion.client.modules.component.ModuleStorage

class AntiFatFinger : Module("Anti-Fat-Finger", Category.SYSTEM) {
    override fun onLoad(enabled: Boolean) {
        super.onLoad(enabled)
        ModuleStorage.antiFatFingerEnabled = enabled
    }

    override fun onToggleEnabled(enabled: Boolean) {
        ModuleStorage.antiFatFingerEnabled = enabled
    }
}
