package net.moonleay.etaorion.client.modules.hud

import net.moonleay.etaorion.client.modules.component.Category
import net.moonleay.etaorion.client.modules.component.MovableModule

class FPS : MovableModule("FPS Display", Category.HUD) {

    val fps = mutableListOf<Long>()
    fun getFPS(): Int {
        val time = System.currentTimeMillis()
        fps.removeIf { aLong -> aLong + 1000L < time }
        return fps.size
    }

    override fun getText4Render(): String {
        fps.add(System.currentTimeMillis())
        return "${getFPS()}FPS"
    }
}
