package net.moonleay.etaorion.datagen

import net.fabricmc.fabric.api.datagen.v1.FabricDataOutput
import net.fabricmc.fabric.api.datagen.v1.provider.FabricLanguageProvider

class LanguageProvider(dataOutput: FabricDataOutput) : FabricLanguageProvider(dataOutput, "en_us") {
    override fun generateTranslations(translationBuilder: TranslationBuilder) {
        translationBuilder.add("category.etaorion.autotext", "EtaOrion AutoText")
        translationBuilder.add("etaorion.key_binding_0", "Text 0")
        translationBuilder.add("etaorion.key_binding_1", "Text 1")
        translationBuilder.add("etaorion.key_binding_2", "Text 2")
        translationBuilder.add("etaorion.key_binding_3", "Text 3")
        translationBuilder.add("etaorion.key_binding_4", "Text 4")
        translationBuilder.add("etaorion.key_binding_5", "Text 5")
        translationBuilder.add("etaorion.key_binding_6", "Text 6")
        translationBuilder.add("etaorion.key_binding_7", "Text 7")
        translationBuilder.add("etaorion.key_binding_8", "Text 8")
        translationBuilder.add("etaorion.key_binding_9", "Text 9")
    }
}
