package net.moonleay.etaorion.mixin;


import net.minecraft.SharedConstants;
import net.minecraft.client.MinecraftClient;
import net.moonleay.etaorion.build.BuildConstants;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfoReturnable;

@Mixin(MinecraftClient.class)
public class WindowTitleMixin {
    @Inject(method = "getWindowTitle", at = @At("HEAD"), cancellable = true)
    public void getWindowTitle(CallbackInfoReturnable<String> cir) {
        cir.cancel();
        String strb = "Eta Orion ver." +
                BuildConstants.modVersion + //HCM VER
                " for Minecraft " + //MC
                SharedConstants.getGameVersion().getName(); //MC VER
        cir.setReturnValue(strb);
    }
}
